Subject: Re: FW: next build fails

From: Stephen Rothwell <[email-masked]>
Date: Thu, 16 Sep 2010 16:44:42 +1000

Hi,

On Thu, 16 Sep 2010 07:44:54 +0200 Sundar R IYER <[email-masked]> wrote:
>
> I am getting this build failure for our u8500_defconfig. I think some
> patch hasn't got completely merged. I patched it up at my end, 
> but would like to know if this is valid.
> 
> ----------------------------------------------------------------
> commit 3ee465868d599f83d4851f9b86727071c55fd726
> Author: Sundar Iyer <[email-masked]>
> Date:   Wed Sep 15 12:27:10 2010 +0530
> 
>     ARM: fix build failure for legacy PMD_FLAGS
> 
>     Acked-by: Linus Walleij <[email-masked]>
>     Signed-off-by: Sundar Iyer <[email-masked]>
> 
> diff --git a/arch/arm/mm/proc-v7.S b/arch/arm/mm/proc-v7.S index 820f6ba..f3cc9f6 100644
> --- a/arch/arm/mm/proc-v7.S
> +++ b/arch/arm/mm/proc-v7.S
> @@ -337,7 +337,7 @@ __v7_ca9mp_proc_info:
>         .long   PMD_TYPE_SECT | \
>                 PMD_SECT_AP_WRITE | \
>                 PMD_SECT_AP_READ | \
> -               PMD_FLAGS
> +               PMD_FLAGS_UP
>         .long   PMD_TYPE_SECT | \
>                 PMD_SECT_XN | \
>                 PMD_SECT_AP_WRITE | \
> 

This is due to a mismerge (in linux-next) between commit
dc966984f44f16b8bb6b0644e501c7c2163ead69 ("ARM: Allow SMP kernels to boot
on UP systems") from the arm tree (which renamed PMD_FLAGS to
PMD_FLAGS_UP) and commit b7bc5d9c6556e3ca37176784036380f91b53432c ("arm:
mm: add proc info for ARM11MPCore/Cortex-A9 from ARM") from the msm tree
(which added a new use of PMD_FLAGS).

I will add the above patch as a merge fixup to my tree until the msm tree
gets merged into the arm tree (or vice versa or they both are merged into
Linus' tree).

Thanks for the heads up.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/